# Setting up the Discord Gateway

<div align='center'>

![Gateway settings screen](https://i.imgur.com/SLOZfUy.png)

<font size="1">Gateway settings screen</font>

</div>

## Table of contents
1. Getting a Discord token
2. Getting the Spotify Client ID and Client Secret
3. Enabling the Discord Gateway

## Getting a Discord token

> **Your token gives full access to your Discord account. Don't share it with anyone!!!**

The process of obtaining a token is described [here](https://discordhelp.net/discord-token)

Simply insert the token in the `Discord User Token' field.

## Getting the Spotify Client ID and Client Secret

Open the [Developer Dashboard](https://developer.spotify.com/dashboard/applications) (use a VPN if you're from Russia or another country where Spotify doesn't work).

Click `Create an app` or select an app you have already created.

<div align='center'>

![Spotify Developer Dashboard](https://i.imgur.com/gk5RESL.png)

</div>

Name and describe the application to your liking and click `Create`.

<div align='center'>

![Creating app](https://i.imgur.com/XgMSxgm.png)

</div>

On the application page, click `SHOW CLIENT SECRET`.

<div align='center'>

![Spotify app](https://i.imgur.com/4rtIiNb.png)

</div>

Insert the Client ID and Client Secret into the appropriate fields in LFDI.

## Enabling the Discord Gateway

Press the `Apply` button to apply the entered settings.

To enable the Discord Gateway, go to the `Discord Gateway settings` page and turn on the `Use Gateway to update status` switch.

<div align='center'>

![Toggle](https://i.imgur.com/ss9EYd1.png)

</div>